## org.hibernate.bytecode
Class InstrumentedClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.hibernate.bytecode.InstrumentedClassLoader

    public class InstrumentedClassLoader

extends ClassLoader

A specialized classloader which performs bytecode enhancement on class definitions as they are loaded into the classloader scope.

Author:
  Emmanuel Bernard, Steve Ebersole

Constructor Summary
`InstrumentedClassLoader(ClassLoader parent, ClassTransformer classTransformer)`

Method Summary
`Class` `loadClass(String name)`

Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentedClassLoader

    public InstrumentedClassLoader(ClassLoader parent,
                                   ClassTransformer classTransformer)

Method Detail

### loadClass

    public Class loadClass(String name)
                    throws ClassNotFoundException

  Overrides:
    `loadClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.